#version 330 core

layout(location = 0) in vec3  position;
layout(location = 1) in vec3  direction;
layout(location = 2) in float lifetime;

uniform mat4 model;
uniform mat4 view_proj;

out vec3  vDirection;
out float vLifetime;

void main()
{
	gl_Position  = view_proj * model * vec4(position, 1);
	vDirection = direction;
	vLifetime  = lifetime;
}