#version 330 core

layout(location = 0) out vec4 outColor;

in float fLifetime;
in vec2 uvs;

uniform sampler2D tex;

void main(){

	vec4 t =   texture( tex, uvs);

	t.w = (t.x + t.y + t.z) / 3.0;

	t = (t - vec4(1,1,1, 0)) * vec4(-1,-1,-1,1)  * vec4(0.5,0.5,0.5,1);

	if(fLifetime == -1)
		outColor = vec4(0,0,0,0);
	else
		outColor =  t;
}


